import * as React from 'react';
import * as _ from 'lodash';
import * as d3 from 'd3';
export var ValueAxis = function (props) {
    var getAxisTransform = function () {
        return "translate(" + props.scss.paddingLeftPx + ", 0)";
    };
    return (React.createElement("g", { className: "axis", transform: getAxisTransform(), ref: function (c) {
            if (!_.isObject(c))
                return;
            var axisLeft = d3.axisLeft(props.yScale);
            var d3SelectionResult = d3.select(c);
            d3SelectionResult.call(axisLeft);
        } }));
};
//# sourceMappingURL=value-axis.js.map