/// <reference types="react" />
import { IHpTimeSeriesChartScss } from '../sass/styles';
import { IHpTimeSeriesChartState } from './state';
export declare enum EnumHpTimeSeriesChartMode {
    Standalone = 0,
    SliderEmbedded = 1,
}
export interface IHpTimeSeriesChartProps {
    state: IHpTimeSeriesChartState;
    scss: IHpTimeSeriesChartScss;
    mode?: EnumHpTimeSeriesChartMode;
}
export declare const HpTimeSeriesChart: (props: IHpTimeSeriesChartProps) => JSX.Element;
