/**
 * Declares reusable actions that can be used by screen using this component
 */
import * as _ from 'lodash';
import { GenerateRandomDataAction, SetDataAction } from './actions';
var generateRandomData = function (from, to) {
    return _.toPlainObject(new GenerateRandomDataAction(from, to));
};
var setData = function (series) {
    return _.toPlainObject(new SetDataAction(series));
};
export { generateRandomData, setData };
//# sourceMappingURL=action-creators.js.map