import { Action } from 'redux';
import { IExternalSourceTimeSeries } from './state/time-series';
declare class GenerateRandomDataAction implements Action {
    from: Date;
    to: Date;
    readonly type: string;
    constructor(from: Date, to: Date);
}
declare class SetDataAction implements Action {
    series: IExternalSourceTimeSeries[];
    readonly type: string;
    constructor(series: IExternalSourceTimeSeries[]);
}
export { GenerateRandomDataAction, SetDataAction };
