import * as React from 'react';
import * as _ from 'lodash';
import * as d3 from 'd3';
export var DateTimeAxis = function (props) {
    var getAxisTransform = function () {
        return "translate(0, " + (props.scss.heightPx - props.scss.paddingBottomPx) + ")";
    };
    return (React.createElement("g", { className: "axis", transform: getAxisTransform(), ref: function (node) {
            if (!_.isObject(node))
                return;
            var axisBottom = d3.axisBottom(props.xScale);
            var d3SelectionResult = d3.select(node);
            d3SelectionResult.call(axisBottom);
        } }));
};
//# sourceMappingURL=date-time-axis.js.map