import * as actionTypes from './action-types';
var StartedProcessingCsvAction = /** @class */ (function () {
    function StartedProcessingCsvAction() {
        this.type = actionTypes.STARTED_PROCESSING_CSV;
    }
    return StartedProcessingCsvAction;
}());
var ReceivedCsvChunkAction = /** @class */ (function () {
    function ReceivedCsvChunkAction(data) {
        this.data = data;
        this.type = actionTypes.RECEIVED_CSV_CHUNK;
    }
    return ReceivedCsvChunkAction;
}());
var FinishedProcessingCsvAction = /** @class */ (function () {
    function FinishedProcessingCsvAction(data) {
        this.data = data;
        this.type = actionTypes.FINISHED_PROCESSING_CSV;
    }
    return FinishedProcessingCsvAction;
}());
export { StartedProcessingCsvAction, ReceivedCsvChunkAction, FinishedProcessingCsvAction };
//# sourceMappingURL=actions.js.map